#!/bin/sh

function showcom()
{
    echo "- ${@/eval/}"
    "$@"
}

# Check if necessary things are installed
if [ ! command -v git &> /dev/null ]; then
    echo "This script requires git"
    exit 1
fi

# Asking if user really want to install
read -p 'This script will replace ~/.zshrc with its own and place old to ~/.zshrc.old if it exists. Type y to run it: ' -n 1 -r
echo
if [[ ! $REPLY =~ ^[Yy]$ ]]; then
    exit 1
fi

echo "Installing..."
if ! test -f ~/.oh-my-zsh/oh-my-zsh.sh; then
    showcom eval "rm -rf ~/.oh-my-zsh"
    showcom eval "git clone https://github.com/ohmyzsh/ohmyzsh.git ~/.oh-my-zsh --depth 1 > /dev/null 2>&1"
    showcom eval "rm -rf ~/.oh-my-zsh/.git"
fi
if test -f ~/.zshrc; then
    showcom eval "cp ~/.zshrc ~/.zshrc.old"
fi;
showcom eval "wget -O ~/.zshrc https://git.nakidai.ru/nakidai/dotfiles/raw/branch/master/zsh/.zshrc > /dev/null 2>&1"
showcom eval "git clone https://github.com/zsh-users/zsh-syntax-highlighting.git ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-syntax-highlighting --depth 1 > /dev/null 2>&1"
showcom eval "rm -rf ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-syntax-highlighting/.git"
showcom eval "wget -O ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/themes/headline_nakidai.zsh-theme https://git.nakidai.ru/nakidai/dotfiles/raw/branch/master/zsh/headline_nakidai.zsh-theme > /dev/null 2>&1"
echo "Done"
